Inventor 2023, soon to be moving to 2025... In our template the drawing is made up from a number of sketched symbols and some of them have prompted entries. When I start a new drawing I do not want the pop up box to fill in these prompted entries every time.
Same for copy and paste but that can be fixed with putting a value into the prompted entry which sticks and doesnt pop up. again, copying and pasting a new sheet, if the prompted entry is populated it doesnt pop up the dialogue box but I cant work out how to make that behaviour work starting a new drawing from a template
Thanks
Solved! Go to Solution.
Inventor 2023, soon to be moving to 2025... In our template the drawing is made up from a number of sketched symbols and some of them have prompted entries. When I start a new drawing I do not want the pop up box to fill in these prompted entries every time.
Same for copy and paste but that can be fixed with putting a value into the prompted entry which sticks and doesnt pop up. again, copying and pasting a new sheet, if the prompted entry is populated it doesnt pop up the dialogue box but I cant work out how to make that behaviour work starting a new drawing from a template
Thanks
Solved! Go to Solution.
Solved by steveA8NCX. Go to Solution.
Are these sketch symbols needed on the start of the template?
Are these sketch symbols needed on the start of the template?
yes
Any thoughts on this? I can find some old ilogic code but cant get it to work as desired
Any thoughts on this? I can find some old ilogic code but cant get it to work as desired
Can you share an example of what you have, maybe there is an alternate solution?
Can you share an example of what you have, maybe there is an alternate solution?
Simplest explanation is its a prompted entry for scale on a sheet, it needs to be different on other sheets.
Simplest explanation is its a prompted entry for scale on a sheet, it needs to be different on other sheets.
Does the Initial view scale option not work for you guys? This will auto populate the title block scale based on the initial view scale for each sheet. Meaning the scale will be based on the first view placed on the new sheet.
Does the Initial view scale option not work for you guys? This will auto populate the title block scale based on the initial view scale for each sheet. Meaning the scale will be based on the first view placed on the new sheet.
No, it’s not flexible enough and sometimes the initial view is not going to be the scale for the sheet
No, it’s not flexible enough and sometimes the initial view is not going to be the scale for the sheet
No, it’s not flexible enough and sometimes the initial view is not going to be the scale for the sheet
No, it’s not flexible enough and sometimes the initial view is not going to be the scale for the sheet
With some help from the forums I figured it out. I have a rule triggered by new drawing which fires a load of other rules 1 each for each symbol that look like this
Dim oDoc As DrawingDocument = ThisDoc.Document Dim oSheet As Sheet = oDoc.ActiveSheet Dim oSymDef As SketchedSymbolDefinition = oDoc.SketchedSymbolDefinitions.Item("Tolerance & Machining") Dim sPromptStrings(3) As String sPromptStrings(0) = "-" sPromptStrings(1) = "-" sPromptStrings(2) = "-" sPromptStrings(3) = "-" Dim oPosition As Point2d = ThisApplication.TransientGeometry.CreatePoint2d(58.4,36) Dim oSymbol As SketchedSymbol oSymbol = oSheet.SketchedSymbols.Add(oSymDef, oPosition, 0, 1, sPromptStrings)
With some help from the forums I figured it out. I have a rule triggered by new drawing which fires a load of other rules 1 each for each symbol that look like this
Dim oDoc As DrawingDocument = ThisDoc.Document Dim oSheet As Sheet = oDoc.ActiveSheet Dim oSymDef As SketchedSymbolDefinition = oDoc.SketchedSymbolDefinitions.Item("Tolerance & Machining") Dim sPromptStrings(3) As String sPromptStrings(0) = "-" sPromptStrings(1) = "-" sPromptStrings(2) = "-" sPromptStrings(3) = "-" Dim oPosition As Point2d = ThisApplication.TransientGeometry.CreatePoint2d(58.4,36) Dim oSymbol As SketchedSymbol oSymbol = oSheet.SketchedSymbols.Add(oSymDef, oPosition, 0, 1, sPromptStrings)
Can't find what you're looking for? Ask the community or share your knowledge.